Subject: Re: [regext] draft-ietf-regext-rfc7483bis Last Call Comments Channeled from draft-blanchet-regext-rdap-deployfindings

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 14 Sep 2020 13:44:13 +0000

> -----Original Message-----
> From: regext <[email-masked]> On Behalf Of Hollenbeck, Scott
> Sent: Tuesday, August 18, 2020 10:46 AM
> To: [email-masked]
> Subject: [EXTERNAL] [regext] draft-ietf-regext-rfc7483bis Last Call Comments
> Channeled from draft-blanchet-regext-rdap-deployfindings
>
> Marc Blanchet recently asked me if I had reviewed draft-blanchet-regext-
> rdap-deployfindings as I edited the 7482bis and 7483bis documents. I missed
> that, so I thought I'd do it in the context of the working group last call for the
> two documents. Here's my summary for draft-ietf-regext-rfc7483bis:
>
> Section 3.3 of draft-blanchet-regext-rdap-deployfindings describes links
> relation values seen "in the wild, and suggests that "It would be appropriate
> to further describes the  main ones in the RFC so implementors focus on
> ones that are expected instead of picking the wrong ones in the IANA
> registry or to define new ones and do not register them".  Section 4.2 of
> 7483bis says that 'The "value", "rel" and "href" JSON values MUST be
> specified.  All other JSON values are OPTIONAL.' Is there something else that
> should be said here?
>
> Section 3.4 of draft-blanchet-regext-rdap-deployfindings describes an issue
> where a server returns a link of "rel": "related" is pointing to itself, therefore
> causing the RDAP client to fetch the object again, then read the related link
> and then fetch again, creating an infinite loop. It suggests a 7483 update to
> note that 'A link of "rel": "related" should not have the "href" value the same
> as the value of "href" of link of "rel": "self".' I think this is worth doing.
>
> Section 3.5 of draft-blanchet-regext-rdap-deployfindings suggests an update
> to note that both "rel" and "href" should be mandatory. 7482bis already does
> this, going one further by also making "value" mandatory. I don't think
> there's anything to do here unless people think "value" should also be
> optional. This was discussed on the list a while back and the current set
> reflects where I think we settled.
>
> Section 3.6 of draft-blanchet-regext-rdap-deployfindings suggests an update
> noting that " All links of any "rel" types should always be returned in the A-
> Label form for IDNs in the href or value members, independent of if the
> query was a U-Label or A-Label or a mix." I think this is worth doing.
>
> That's all that I captured. Did I miss anything Marc? Is there anything here
> that people would like to discuss?

I just submitted -02 to address the points above that I suggested are worth doing. I also addressed erratum 6158:

https://www.rfc-editor.org/errata/eid6158

I believe this version is ready for WG last call.

Scott